StandardAnalyzer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.analyzer

## Class StandardAnalyzer

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.AbstractAnalyzer
  - - org.apache.cassandra.index.sasi.analyzer.StandardAnalyzer

- All Implemented Interfaces:
    java.util.Iterator<java.nio.ByteBuffer>

      public class StandardAnalyzer
      extends AbstractAnalyzer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StandardAnalyzer.TokenType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.Reader` | `inputReader`

    - ### Fields inherited from class org.apache.cassandra.index.sasi.analyzer.AbstractAnalyzer

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardAnalyzer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getFilteredCurrentToken()`
    `java.lang.String` | `getToken()`
    `boolean` | `hasNext()`
    `boolean` | `incrementToken()`
    `void` | `init(java.util.Map<java.lang.String,java.lang.String> options, AbstractType validator)`
    `protected void` | `init(StandardTokenizerOptions options)`
    `void` | `init(StandardTokenizerOptions tokenizerOptions, AbstractType validator)`
    `boolean` | `isTokenizing()`
    `void` | `reset(java.nio.ByteBuffer input)`
    `void` | `reset(java.io.InputStream input)`

    - ### Methods inherited from class org.apache.cassandra.index.sasi.analyzer.AbstractAnalyzer

      `next, normalize, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### inputReader

          protected java.io.Reader inputReader

  - ### Constructor Detail

    - #### StandardAnalyzer

          public StandardAnalyzer()

  - ### Method Detail

    - #### getToken

          public java.lang.String getToken()

    - #### incrementToken

          public final boolean incrementToken()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getFilteredCurrentToken

          protected java.lang.String getFilteredCurrentToken()
                                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### init

          public void init(java.util.Map<java.lang.String,java.lang.String> options,
                           AbstractType validator)

      Specified by:
        `init` in class `AbstractAnalyzer`

    - #### init

          protected void init(StandardTokenizerOptions options)

    - #### init

          public void init(StandardTokenizerOptions tokenizerOptions,
                           AbstractType validator)

    - #### hasNext

          public boolean hasNext()

    - #### reset

          public void reset(java.nio.ByteBuffer input)

      Specified by:
        `reset` in class `AbstractAnalyzer`

    - #### reset

          public void reset(java.io.InputStream input)

    - #### isTokenizing

          public boolean isTokenizing()

      Overrides:
        `isTokenizing` in class `AbstractAnalyzer`
      Returns:
        true if current analyzer provides text tokenization, false otherwise.

Copyright © 2018 The Apache Software Foundation